#!/bin/bash
DIR=/opt/bukts/sb
LOGDIR=/var/opt/bukts/log
cd ${DIR}
PORT=$1
shift
if [ -h ttyS99 ]; then
    rm ttyS99
fi
if [ -c ${PORT} ]; then
    ln -s ${PORT} ttyS99
fi

if [ -f e ]; then
    rm e
fi
if [ -f p ]; then
    rm p
fi

if [ ! -f ${DIR}/pinpad.ini -a -f ${DIR}/pinpad_ini ]; then
    cp ${DIR}/pinpad_ini ${DIR}/pinpad.ini
fi

DATETIME=$(date +"%y%m%d_%H:%M:%S")
DATE=$(echo ${DATETIME} | cut -d_ -f1)
TIME=$(echo ${DATETIME} | cut -d_ -f2)
EXELOG=${LOGDIR}/sb.${DATE}.log
COMLOG=${LOGDIR}/com.sb.${DATE}.log

echo -e "${TIME}\tEXEC\t$1 $2 $3 $4 $5 $6 $7 $8" >> $EXELOG
${DIR}/sb_pilot $1 $2 $3 $4 $5 $6 $7 $8
TIME=$(date +"%H:%M:%S")
if [ -h ttyS99 ]; then
    rm ttyS99
fi

if [ -f e ]; then
    echo -e -n "${TIME}\tRESULT\t" >> $EXELOG
    cat e | iconv -f koi8r -t utf8 | sed -e "s/\r//" | while read l; do echo -n "${l}|"; done >> $EXELOG
    echo >> $EXELOG
else 
    echo -e "${TIME}\tERROR\tno result" >> $EXELOG
fi
if [ -f p ]; then
    echo -e "${TIME}\tPRINT" >> $EXELOG
    cat p | iconv -f koi8r -t utf8 >> $EXELOG
fi
if [ -f CommLog9.txt ]; then
    cat CommLog9.txt >> $COMLOG
    echo >> $COMLOG
    rm CommLog9.txt
fi
